Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | List of all members
eZ\Publish\Core\Persistence\Legacy\Bookmark\Mapper Class Reference

Bookmark mapper. More...

## Public Member Functions
| createBookmarkFromCreateStruct (CreateStruct $createStruct)
| Creates a Bookmark from $createStruct. More...
| extractBookmarksFromRows (array $rows)
| Extracts Bookmark objects from $rows. More...

## Private Member Functions
| extractBookmarkFromRow (array $row)
| Extract Bookmark object from $row. More...

## Detailed Description

Bookmark mapper.

Definition at line 17 of file Publish/Core/Persistence/Legacy/Bookmark/Mapper.php.

## Member Function Documentation

## ◆ createBookmarkFromCreateStruct()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Mapper::createBookmarkFromCreateStruct | ( | CreateStruct | $createStruct | ) |

Creates a Bookmark from $createStruct.

Parameters

  \eZ\Publish\SPI\Persistence\Bookmark\CreateStruct | $createStruct |

Returns
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark

Definition at line 26 of file Publish/Core/Persistence/Legacy/Bookmark/Mapper.php.

## ◆ extractBookmarkFromRow()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Mapper::extractBookmarkFromRow | ( | array | $row | ) |
| private

Extract Bookmark object from $row.

Parameters

  array | $row |

Returns
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark

Definition at line 60 of file Publish/Core/Persistence/Legacy/Bookmark/Mapper.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\Bookmark\Mapper\extractBookmarksFromRows().

## ◆ extractBookmarksFromRows()

eZ\Publish\Core\Persistence\Legacy\Bookmark\Mapper::extractBookmarksFromRows | ( | array | $rows | ) |

Extracts Bookmark objects from $rows.

Parameters

  array | $rows |

Returns
  \eZ\Publish\SPI\Persistence\Bookmark\Bookmark[]

Definition at line 43 of file Publish/Core/Persistence/Legacy/Bookmark/Mapper.php.

References eZ\Publish\Core\Persistence\Legacy\Bookmark\Mapper\extractBookmarkFromRow().

The documentation for this class was generated from the following file:

- Publish/Core/Persistence/Legacy/Bookmark/Mapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.